> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contract reminder

> Update an email reminder for a contract by its ID. Slack reminders are not supported via the public API and must be managed in the Admina UI.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json patch /api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-reminders/{id}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-reminders/{id}:
    patch:
      tags:
        - Contracts
      summary: Update a contract reminder
      description: >-
        Update an email reminder for a contract by its ID. Slack reminders are
        not supported via the public API and must be managed in the Admina UI.
      operationId: publicUpdateContractReminder
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: serviceId
          required: true
          in: path
          schema:
            type: number
        - name: contractId
          required: true
          in: path
          schema:
            type: number
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicUpdateContractReminderRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicContractReminderResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicUpdateContractReminderRequestDto:
      type: object
      properties:
        reminderType:
          example: EMAIL_REMINDER
          allOf:
            - $ref: '#/components/schemas/ReminderConfigType'
        reminderConfigs:
          $ref: '#/components/schemas/EmailReminderConfigDto'
        remindBeforeConfig:
          $ref: '#/components/schemas/RemindBeforeConfigDto'
      required:
        - reminderType
        - reminderConfigs
        - remindBeforeConfig
    PublicContractReminderResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        reminderType:
          readOnly: true
          example: SLACK_REMINDER
          allOf:
            - $ref: '#/components/schemas/ReminderConfigType'
        reminderConfigs:
          oneOf:
            - $ref: '#/components/schemas/PublicSlackReminderConfigResponseDto'
            - $ref: '#/components/schemas/PublicEmailReminderConfigResponseDto'
        contractId:
          type: number
          readOnly: true
          example: 1
        remindBeforeConfig:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/PublicRemindBeforeConfigResponseDto'
      required:
        - id
        - reminderType
        - reminderConfigs
        - contractId
        - remindBeforeConfig
    ReminderConfigType:
      type: string
      enum:
        - SLACK_REMINDER
        - EMAIL_REMINDER
    EmailReminderConfigDto:
      type: object
      properties:
        emails:
          example:
            - hoge@i.moneyforward.com
            - dummyaccount@i.moneyforward.com
          type: array
          items:
            type: string
      required:
        - emails
    RemindBeforeConfigDto:
      type: object
      properties:
        unit:
          example: days
          allOf:
            - $ref: '#/components/schemas/RemindBeforeUnit'
        value:
          type: number
          example: 3
      required:
        - unit
        - value
    PublicSlackReminderConfigResponseDto:
      type: object
      properties:
        slackWorkspaceName:
          type: string
          readOnly: true
          example: Money Forward
        slackChannels:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicSlackChannelResponseDto'
      required:
        - slackWorkspaceName
        - slackChannels
    PublicEmailReminderConfigResponseDto:
      type: object
      properties:
        emails:
          readOnly: true
          example:
            - hoge@example.com
            - dummyaccount@example.com
          type: array
          items:
            type: string
      required:
        - emails
    PublicRemindBeforeConfigResponseDto:
      type: object
      properties:
        unit:
          readOnly: true
          example: days
          allOf:
            - $ref: '#/components/schemas/RemindBeforeUnit'
        value:
          type: number
          readOnly: true
          example: 3
      required:
        - unit
        - value
    RemindBeforeUnit:
      type: string
      enum:
        - days
        - weeks
        - months
    PublicSlackChannelResponseDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: C01ME8GUXXX
        name:
          type: string
          readOnly: true
          example: '#general'
      required:
        - id
        - name
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````